%define name	notecase
%define version 1.9.1
%define release %mkrel 1

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	A hierarchical text notes manager
Source:		%{name}-%{version}_src.tar.gz
URL:		http://notecase.sourceforge.net/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	gtk2-devel libgnome-vfs2-devel
Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description

NoteCase is a hierarchical note manager (aka. outliner).
It helps you organize your everyday text notes into a
single document, with individual notes placed in the
tree-like structure (each note can have its sub-notes, ...).
To ensure your privacy, encrypted document format is
supported, along with standard unencrypted format.

Project is free and open source (released under BSD license).


%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

perl -pi -e 's|.xpm|.png||g' %buildroot/%_datadir/applicaitons/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 res/%name.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 res/%name.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 res/%name.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database "%{_datadir}/mime/"		

%postun
update-mime-database "%{_datadir}/mime/"

%files -f %{name}.lang
%defattr(-,root,root)
%doc readme.txt
%{_datadir}/doc/%name
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Sun Jun 22 2008 Rahlquist <pclospack@pcsites.com> 1.9.1-1pclos2007
- 1.9.1

* Fri Feb 01 2008 Texstar <texstar@gmail.com> 1.7.6-1pclos2007
- 1.7.6

* Sun Jul 08 2007 Texstar <texstar@gmail.com> 1.5.8-1pclos2007
- import into pclos 2007, original spec from mandriva
